package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.core.text.Convert;
import com.sooka.common.enums.DataSourceType;
import com.sooka.framework.util.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TgjjGrxxMapper;
import com.sooka.system.domain.TgjjGrxx;
import com.sooka.system.service.ITgjjGrxxService;

/**
 * 个人信息Service业务层处理
 *
 * @author lei
 * @date 2021-11-16
 */
@Service
public class TgjjGrxxServiceImpl extends Guiji_Base_Service implements ITgjjGrxxService {
    @Autowired
    private TgjjGrxxMapper tgjjGrxxMapper;

    /**
     * 查询个人信息
     *
     * @param ID 个人信息ID
     * @return 个人信息
     */
    @Override
    public TgjjGrxx selectTgjjGrxxById(Long ID) {
        return tgjjGrxxMapper.selectTgjjGrxxById(ID);
    }

    /**
     * 查询个人信息列表
     *
     * @param tgjjGrxx 个人信息
     * @return 个人信息
     */
    @Override
    public List<TgjjGrxx> selectTgjjGrxxList(TgjjGrxx tgjjGrxx) {
        List ls = tgjjGrxxMapper.selectTgjjGrxxList(tgjjGrxx);
        tgjjGrxx.setInterfaceinfoId("42053992-ea1e-423d-90b8-5957f9127dce");
        tgjjGrxx.setInterfaceinfoName("共享-市公积金-个人信息");
        tgjjGrxx.setInterfacetype("platform_interfacetype_1");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        tgjjGrxx.setDeptId(deptId);
        tgjjGrxx.setDeptName(deptName);
        add_log(tgjjGrxx);

        return ls;
    }

    /**
     * 新增个人信息
     *
     * @param tgjjGrxx 个人信息
     * @return 结果
     */
    @Override
    public int insertTgjjGrxx(TgjjGrxx tgjjGrxx) {
        return tgjjGrxxMapper.insertTgjjGrxx(tgjjGrxx);
    }

    /**
     * 修改个人信息
     *
     * @param tgjjGrxx 个人信息
     * @return 结果
     */
    @Override
    public int updateTgjjGrxx(TgjjGrxx tgjjGrxx) {
        return tgjjGrxxMapper.updateTgjjGrxx(tgjjGrxx);
    }

    /**
     * 删除个人信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTgjjGrxxByIds(String ids) {
        return tgjjGrxxMapper.deleteTgjjGrxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除个人信息信息
     *
     * @param ID 个人信息ID
     * @return 结果
     */
    @Override
    public int deleteTgjjGrxxById(Long ID) {
        return tgjjGrxxMapper.deleteTgjjGrxxById(ID);
    }
}
